@font-face {
    font-family: 'Cantarell';
    src: url('../fonts/cantarell-regular.ttf');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Cantarell';
    src: url('../fonts/cantarell-bold.ttf');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Cantarell';
    src: url('../fonts/cantarell-bolditalic.ttf');
    font-weight: 700;
    font-style: italic;
}

@font-face {
    font-family: 'Cantarell';
    src: url('../fonts/cantarell-italic.ttf');
    font-weight: 400;
    font-style: italic;
}

html {
    box-sizing: border-box;
    scroll-behavior: smooth;
}

*, *:before, *:after {
    box-sizing: inherit;
}

body {
    margin: 0px;
    padding: 0px;
    background-color: #ffffff;
    font-family: Cantarell;
    font-weight: normal;
    font-size: 16px;
    min-width: 350px;
}

.header {
    padding-top: 10px;
    padding-bottom: 10px;
}

.footer {
    padding-top: 10px;
    padding-bottom: 50px;
}

.content {
    max-width: 100%;
}

.header-inner-wrapper,
.content-inner-wrapper,
.footer-inner-wrapper,
.footer-policies {
    padding: 10px 30px;
    max-width: 1400px;
    margin: 0px auto;
}

.header-inner-wrapper,
.header-inner-wrapper .links {
    text-transform: uppercase;
    display: flex;
    gap: 50px;
    font-size: 26px;
}

@media screen and (max-width: 1000px) {
    .header-inner-wrapper,
    .content-inner-wrapper,
    .footer-inner-wrapper,
    .footer-policies {
        padding: 5px 15px;
        align-items: center;
    }

    .header-inner-wrapper .links {
        flex-direction: column;
        gap: 5px;
        text-align: right;
    }
}

.link.active > span {
    font-weight: bold;
    border-bottom: solid 2px #000000;
}

.header-inner-wrapper > div:first-child {
    flex: 1;
}

h1 {
    font-weight: bold;
    font-size: 36px;
    margin: 0px;
}

.title .digital-art-subtitle {
    font-weight: 400;
    font-size: 32.6px;
    margin: -10px 0px 0px 0px;
    display: block;
}

h2 {
    margin: 0px;
    font-size: 20px;
}

h3 {
    font-size: 18px;
    margin-top: 20px;
    margin-bottom: 0px;
}

h4 {
    font-size: 16px;
    margin-bottom: 5px;
    text-transform: uppercase;
}

h5 {
    font-size: 16px;
    margin-top: 15px;
    margin-bottom: 0px;
}

h3~p, h4~p {
    margin-top: 0px;
}

@media screen and (max-width: 600px) {
    .header {
        padding-top: 25px;
        padding-bottom: 25px;
    }

    .header-inner-wrapper .links {
        font-size: 16px;
    }

    h1 {
        font-size: 25px;
    }

    .title .digital-art-subtitle {
        font-size: 22.7px;
    }
}

a, a:link, a:hover, a:focus, a:visited {
    text-decoration: none;
    color: inherit;
    transition: opacity 0.25s;
}

[role="link"], a {
    cursor: pointer;
}

p a, p a:link, p a:hover, p a:focus, p a:visited,
li a, li a:link, li a:hover, li a:focus, li a:visited {
    text-decoration: underline;
}

a:hover:not(.artwork-btn a, .keep-opacity) {
    opacity: 0.6;
}

h1 a:hover {
    opacity: 1.0;
}

.image-wrapper a:hover {
    opacity: 0.9;
}

.images {
    display: grid;
    grid-gap: 40px;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    margin-top: 40px;
    margin-bottom: 40px;
    justify-content: center;
}

@media screen and (max-width: 1000px) {
    .image {
        max-width: initial;
    }
}

@media screen and (max-width: 700px) {
    .images {
        gap: 15px;
        margin-top: 25px;
        margin-bottom: 25px;
    }

    .image {
        width: 100%;
        max-width: 100%;
    }
}

@media screen and (max-width: 650px) {
    .image:not(.image-card-wide) {
        max-width: 320px;
        margin: auto;
    }
}

.image h1 {
    font-size: 16px;
    text-transform: uppercase;
}

.image-card {
    padding: 20px;
    background-color: #eeeeee;
    min-height: 400px;
    align-content: center;
    font-size: 14px;
}

.image-card-narrow > div {
    max-width: 300px;
    margin: auto;
}

.image-card h1 {
    font-size: 22px;
}

.image-card-inverse {
    background-color: #000000;
    color: #ffffff;
    border: solid 5px #000000;
}

.image-wrapper {
    width: 100%;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

@media screen and (max-width: 700px) {
    .image-wrapper {
        height: auto;
    }
}

.image-wrapper img {
    padding: 0px;
    background-color: #ffffff;
    width: 100%;
}

@media screen and (max-width: 700px) {
    .image.image-portrait img,
    .image.image-landscape img {
        max-width: 100%;
        width: auto;
        height: auto;
    }
}

.image-info {
    text-transform: uppercase;
    font-size: 14px;
    color: #555555;
    width: 100%;
    margin-top: 10px;
}

.image-info-title {
    font-weight: bold;
    color: #222222;
    line-height: 30px;
}

.image-info-description {
    text-transform: none;
    margin: auto;
}

a.image-link-btn,
a.image-link-btn:link,
a.image-link-btn:visited,
a.image-link-btn:focus,
a.image-link-btn:active {
    background-color: #ffffff;
    border: solid 1px #000000;
    color: #000000;
    padding: 10px 15px;
    display: block;
    max-width: 220px;
    margin-top: 15px;
    border-radius: 20px;
    transition: linear 0.1s;
    text-align: center;
    font-size: 14px;
}

a.image-link-btn:hover {
    opacity: 1.0;
    background-color: #000000;
    color: #ffffff;
}

.footer-inner-wrapper {
    display: flex;
    gap: 50px;
    text-transform: uppercase;
}

@media screen and (max-width: 1000px) {
    .footer-inner-wrapper {
        flex-direction: column;
        font-size: 14px;
        gap: 5px;
    }
}

.footer-inner-wrapper > div:first-child {
    flex: 1;
    font-weight: bold;
}

.footer-inner-wrapper > div:first-child .title {
    color: #555555;
}

.footer-inner-wrapper > div:last-child {
    color: #555555;
}

.footer-policies {
    display: flex;
    gap: 30px;
    justify-content: end;
}

@media screen and (max-width: 1000px) {
    .footer-policies {
        display: block;
        text-align: center;
        padding-top: 30px;
        color: #555555;
    }

    .footer-policies > span {
        line-height: 25px;
        display: block;
    }
}

.about-the-author {
    display: flex;
    background-color: #eeeeee;
}

.about-the-author > div {
    padding: 20px;
    align-self: center;
}

.about-the-author > div:last-of-type {
    padding-left: 0px;
}

.about-the-author > div h1 {
    font-size: 20px;
    text-transform: uppercase;
}

.about-the-author-logo img {
    max-width: 100px;
    height: auto;
    margin: 20px;
}

.image-card .about-the-author-logo img {
    margin: 20px 0px;
}

@media screen and (max-width: 700px) {
    .about-the-author {
        flex-direction: column;
    }

    .about-the-author > div,
    .about-the-author > div:last-of-type  {
        padding: 0px 20px 0px 20px;
        align-self: center;
        text-align: center;
    }
}

/**
 * Text page styling.
 */
.text-content-wrapper {
    padding: 20px;
    border: solid 10px #eeeeee;
    text-transform: uppercase;
    min-height: 300px;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
}

/**
 * Artwork page styling.
 */

.artwork-wrapper {
    text-transform: uppercase;
    min-height: 300px;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
}

.artwork-preview-and-info {
    display: flex;
    gap: 40px;
    width: 100%;
}

@media screen and (max-width: 1100px) {
    .artwork-preview-and-info {
        display: block;
     }
}

.artwork-tech-and-year,
.featured-image-tech-and-year {
    margin-bottom: 15px;
}

.artwork-preview-description,
.featured-image-description {
    font-style: italic;
    margin-bottom: 10px;
    text-transform: none;
}

.artwork-preview-description-long {
    margin-top: 20px;
    font-size: 16px;
    text-transform: none;
    text-align: left;
    border-radius: 15px;
}

.artwork-preview-separator,
.featured-image-separator {
    height: 1px;
    width: 100%;
    background-color: #cccccc;
    margin-top: 15px;
    margin-bottom: 10px;
    margin-left: auto;
    margin-right: auto;
}

.artwork-preview {
    flex: 3;
}

@media screen and (max-width: 1100px) {
    .artwork-preview {
        text-align: center;
    }
}

.artwork-wrapper-portrait .artwork-preview {
    flex: 1.5;
}

.artwork-info {
    flex: 1;
    text-align: center;
    min-width: 350px;
}

@media screen and (max-width: 1100px) {
    .artwork-info {
        min-width: initial;
        max-width: 500px;
        margin: auto;
        margin-top: 20px;
        margin-bottom: 20px;
    }
}

.artwork-preview img {
    max-width: 100%;
    height: auto;
}

.artwork-btn a,
.artwork-purchase-btn-disabled {
    background-color: #ffffff;
    color: #000000;
    border: solid 1px #000000;
    border-radius: 50px;
    padding: 10px 20px;
    margin: 5px 0px;
    display: inline-block;
    text-transform: uppercase;
    width: 80%;
    opacity: 0.9;
    text-align: center;
    max-width: 350px;
    font-size: 15px;
}

.artwork-btn-dark a {
    background-color: #000000;
    color: #ffffff;
}

.artwork-btn-dark.artwork-purchase-btn-disabled {
    outline: solid 1px #555555;
    background-color: #ffffff;
    color: #000000;
}

.artwork-btn a,
.artwork-btn a:link,
.artwork-btn a:hover,
.artwork-btn a:visited,
.artwork-purchase-btn-disabled {
    text-decoration: none;
    font-weight: bold;
    transition: 0.25s;
}

.artwork-btn a:hover {
    background-color: #000000;
    color: #ffffff;
}

.artwork-btn-dark a:hover {
    background-color: #555555;
}

.artwork-purchase-btn a,
.artwork-purchase-btn-disabled {
    font-weight: bold;
    opacity: 1.0;
    width: 100%;
    font-size: 15px;
}

.artwork-purchase-btn-disabled {
    cursor: not-allowed;
    opacity: 0.6;
}

.artwork-purchase-btn-subtitle {
    font-size: 75%;
    font-style: italic;
    font-weight: normal;
    text-transform: none;
    display: block;
    opacity: 0.8;
}

.artwork-orders-and-delivery-info-link {
    text-transform: none;
    max-width: 90%;
    font-size: 90%;
    display: block;
    margin: auto;
}

.artwork-orders-and-delivery-info-link a {
    color: #0000a0;
    text-decoration: underline;
}

.artwork-purchase-btn-70p-subtitle {
    display: block;
    font-size: 70%;
}

.artwork-closeups-wrapper {
    margin-top: 20px;
}

.artwork-closeups-list {
    display: flex;
    gap: 20px;
    margin-top: 10px;
}

@media screen and (max-width: 1100px) {
    .artwork-closeups-wrapper {
        max-width: 500px;
        margin: auto;
        padding: 10px 0px 0px 0px;
    }

    .artwork-closeups-list  {
        flex-direction: column;
    }
}

.artwork-section-title {
    margin: 0px;
    padding-bottom: 10px;
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
}

.artwork-closeup {
    background-color: #ffffff;
    flex: 1;
}

.artwork-closeup img {
    width: 100%;
    max-width: 100%;
    max-height: 100%;
}

.artwork-closeup-description-long {
    font-size: 16px;
    margin: 10px 0px;
}

@media screen and (max-width: 1100px) {
    .artwork-closeup  {
        width: 100%;
        margin: auto;
    }
}

.artwork-btns-footer {
    padding-top: 5px;
    max-width: 450px;
    margin: auto;
    text-transform: uppercase;
    text-align: center;
}

/**
 * Common styles for About and Contact pages.
 */

.bold {
    font-weight: bold;
}

.left {
    text-align: left;
}

.center {
    text-align: center;
}

.mt-20 {
    margin-top: 20px;
}

.mt-30 {
    margin-top: 30px;
}

.mt-35 {
    margin-top: 35px;
}

.mt-40 {
    margin-top: 40px;
}

.mb-5 {
    margin-bottom: 5px;
}

.mb-10 {
    margin-bottom: 10px;
}

.mb-15 {
    margin-bottom: 15px;
}

.mb-20 {
    margin-bottom: 20px;
}

.mb-35 {
    margin-bottom: 35px;
}

.w-100 {
    width: 100%;
}

.transform-none {
    text-transform: none;
}

.text-block {
    width: 100%;
    max-width: 600px;
    text-transform: none;
}

/**
 * Featured image
 */

 .featured-image-placeholder {
    height: 700px;
    width: 100%;
 }

 .featured-image-outer-wrapper {
    position: absolute;
    left: 0px;
    right: 0px;
    height: 700px;
 }

.featured-image {
    padding: 10px;
    background-color: #eeeeee;
    text-transform: uppercase;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    align-content: center;
    overflow: hidden;
    position: relative;
    height: 700px;
}

.featured-image-details-wrapper {
    text-align: center;
}

.featured-image-section-title {
    text-align: center;
    margin: 10px 0px 20px 0px;
    font-size: 150%;
    font-weight: bold;
}

.featured-image-inner-wrapper {
    background-color: rgba(255, 255, 255, 0.95);
    max-width: 425px;
    margin: auto;
    padding: 20px;
    position: relative;
}

@media screen and (max-width: 650px) {
    .featured-image-inner-wrapper {
        max-width: 320px;
    }
}

.featured-image-background-image {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    display: flex;
    clip-path: fill-box;
    pointer-events: none;
}

.featured-image-background-image-inner-wrapper {
    position: fixed;
    min-width: 100vw;
    min-height: 100vh;
    min-width: 100lvw;
    min-height: 100lvh;
    top: 50%;
    left: 50%;
    top: 50lvh;
    left: 50lvw;
    transform: translate(-50%, -50%);
    transform: translate(-50%, -50lvh);
}

.featured-image-background-image img {
    min-width: 100vw;
    min-height: 100vh;
    min-width: 100lvw;
    min-height: 100lvh;
    animation-name: featured-image-background-image-animation;
    animation-duration: 5s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: 1;
    animation-fill-mode: both;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

@keyframes featured-image-background-image-animation {
    0% {
        transform: scale(1.00);
    }
    100% {
        transform: scale(1.10);
    }
  }

.featured-image-title {
    font-size: 125%;
    margin-top: 20px;
    font-weight: bold;
}

/**
 * Demonstration videos
 */

.video-presentation {
    min-height: 320px;
    background-color: #f0f0f0;
    padding: 5px;
}

.video-label {
    margin: 5px 0px;
    font-style: italic;
}

/**
 * Demonstration images
 */

 .image-presentation {
    background-color: #f0f0f0;
    padding: 5px;
}

.image-presentation img {
    width: 100%;
    height: auto;
}

.image-label {
    margin: 5px 0px;
    font-style: italic;
}

/**
 * Etsy store links
 */
.etsy-store-link {
    display: flex;
    align-items: center;
}

.etsy-store-link img {
    max-height: 30px;
    width: auto;
    vertical-align: middle;
    border: solid 1px #000000;
    margin-right: 7px;
}

.etsy-store-link.etsy-store-link-inverse img {
    filter: invert();
}
